import request from '@/utils/request'
import Qs from 'qs';

//提交返乡证明
export function submitReturnInfo(data) {
	return request({
		url: '/mobile/personInfoApi/submitReturnInfo',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//确认提交返乡证明
export function sureSubmitReturnInfo(data) {
	return request({
		url: '/mobile/personInfoApi/confirmReturnInfo',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//获取地区
export function regionList(type) {
	return request({
		url: '/mobile/personInfoApi/regionList',
		data: Qs.stringify({
			type: type
		}),
		method: 'post',
	})
}

//获取提交的详情
export function returnInfoDetail(openId) {
	return request({
		url: '/mobile/personInfoApi/returnInfoDetail',
		data: Qs.stringify({
			openId: openId
		}),
		method: 'post',
	})
}

//管理人员获取列表
export function commissionerReturnInfoList(data) {
	return request({
		url: '/mobile/personInfoApi/commissionerReturnInfoList',
		data: Qs.stringify(data),
		method: 'post',
	})
}

//管理人员获取详情
export function commissionerReturnInfoDetail(id) {
	return request({
		url: '/mobile/personInfoApi/commissionerReturnInfoDetail',
		data: Qs.stringify({
			id: id
		}),
		method: 'post',
	})
}
